Skip to content

Cancel scheduled messages

Request

Cancel one or more scheduled message batches by ID or by batch metadata. If using metadata, all batches matching the given key and value will be cancelled.

To successfully cancel a batch, you must do so before the send_after time. Batches without a send_after value (i.e., batches that are sent immediately) cannot be cancelled.

Cancellation is performed asynchronously. This means that this method always returns a 200 response, even if the cancellation fails.

Security
BearerAuth
Path
project_idstringrequired

The unique ID of the project. You can find this on the Sinch Dashboard.

Bodyapplication/jsonrequired
One of:

ID of the batch to be cancelled.

batch_idstring
curl -i -X DELETE \
  'https://us.conversationbatch.api.sinch.com/v1/projects/{project_id}/messages' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "batch_id": "01GJJE4HZTAR53YE1WAA6VCF4D"
  }'

Responses

OK

Response
No content
We'd love to hear from you!
Rate this content: